Bug 121432 - Pressing twice on the "Help" button causes LibreOffice application to crash when the focus is on one of the tabs on Properties window
Summary: Pressing twice on the "Help" button causes LibreOffice application to crash w...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-11-15 08:03 UTC by Liad Skiva
Modified: 2018-11-17 16:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["vcl::Window::get_ungrouped_preferred_size()"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Liad Skiva 2018-11-15 08:03:17 UTC
Description:
The crash doesn't cause data loss, everything written , even if not saved, is recoverable.

Steps to Reproduce:
1. Go to File->Properties.
2. Press Shift-Tab until the focus is on one of the tabs.
3. Press the "Help" button.
4. Press the "Cancel" button.
5. Press the "Help" button.
6. Press the "Cancel" button.

Actual Results:
After canceling the first time it closes the "LibreOffice Help not installed" window. But after canceling for the second time the software crashes.

Expected Results:
Both of the times pressing "Cancel" in the "LibreOffice Help not installed" window, the window "LibreOffice Help not installed" should just close with nothing else happening.


Reproducible: Always


User Profile Reset: No



Additional Info:
- On the tested computer The LibreOffice built-in help for current UI language (English (USA)) is not installed on the computer.
-It isn't necessary for the focus to be on the tabs in the first time pressing the "Help" button, it is necessary in the second time.
- The outcome doesn't change if you press the "Read Help Online" button or the "X" button instead of the "Cancel" button.
- Before canceling the second time the properties current tab goes into a totally new blank tab.

Help - About LibreOffice info:
Version: 6.1.3.2 (x64)
Build ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: en-US (en_US); Calc: CL
Comment 1 Xisco Faulí 2018-11-15 11:59:33 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6a4c464b49dbfa2801818ead1b50bc9580824d00

author	Caolán McNamara <caolanm@redhat.com>	2018-02-19 16:33:35 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-02-22 22:07:38 +0100
commit	6a4c464b49dbfa2801818ead1b50bc9580824d00 (patch)
tree	3d6381b6b13576bc536670992b36784436486e95
parent	f7733528e88a6619f82b54b59e92a9bca72c0a89 (diff)
weld native message dialogs

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 2 Xisco Faulí 2018-11-15 12:01:40 UTC
The behaviour with the customize dialog. I guess some other might be affected as well...
Comment 3 Caolán McNamara 2018-11-15 16:37:20 UTC
After the first dialog, the focus is in the tabcontrol and that is used as the parent for the dialog, but the builder thinks it needs to insert a new page to contain the new widgets, although its a new toplevel
Comment 4 Commit Notification 2018-11-15 20:56:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1d988778095ecbe84f1a1002511377d0708b3443%5E%21

Resolves: tdf#121432 don't insert an extra page when parent is tabcontrol

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2018-11-15 20:57:48 UTC
backport to 6-1 in gerrit
Comment 6 Xisco Faulí 2018-11-16 10:42:33 UTC
Verified in

Version: 6.2.0.0.alpha1+
Build ID: 5edc23dbc53773536265fd6a54319d9cd1cd9e99
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, Thanks for fixing this!!
Comment 7 Commit Notification 2018-11-17 16:44:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/22f4a98bae32dedb0b1c24e9b86876041532168c%5E%21

Resolves: tdf#121432 don't insert an extra page when parent is tabcontrol

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.